## python-os-ken 1.0.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1  # Apache-2.0
# releasenotes
reno>=2.5.0 # Apache-2.0

## python-os-ken 0.3.1

=== debian/changelog ===
python-os-ken (0.3.1-0ubuntu2) disco; urgency=medium

  * d/rules: Switch | -> ||.
  * d/*: Misc packaging tidy.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 07:03:24 +0000

python-os-ken (0.3.1-0ubuntu1) disco; urgency=low

  * Initial release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:30:51 +0000

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-eventlet (>= 0.18.2),
 python3-mock,
 python3-msgpack (>= 0.3.0),
 python3-netaddr(>= 0.7.18),
 python3-nose,
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:2.5.0),
 python3-oslotest (>= 1.10.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1.2),
Standards-Version: 4.2.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-ken
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-msgpack (>= 0.3.0),
 python3-netaddr(>= 0.7.18),
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:2.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mv os_ken/tests/unit/test_requirements.py os_ken/tests/unit/test_requirements.py_
	for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python$$i os_ken/tests/run_tests.py ; \
	done
	mv os_ken/tests/unit/test_requirements.py_ os_ken/tests/unit/test_requirements.py
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	mv os_ken/tests/unit/test_requirements.py_ os_ken/tests/unit/test_requirements.py || :

## python-os-ken 0.4.1

=== debian/changelog ===
python-os-ken (0.4.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:48:24 +0200

python-os-ken (0.4.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 10:13:08 +0200

python-os-ken (0.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 23:39:04 +0200

python-os-ken (0.3.1-1) experimental; urgency=medium

  * Initial release. (Closes: #925942)

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 23:15:21 +0100

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-msgpack,
 python3-ncclient,
 python3-netaddr,
 python3-nose,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslotest,
 python3-pycodestyle,
 python3-reno,
 python3-routes,
 python3-six,
 python3-stestr,
 python3-testtools,
 python3-tinyrpc,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-ken
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-ken.git
Homepage: http://www.openstack.org/

Package: python-os-ken-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: component-based software defined networking framework for OpenStack - doc
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the documentation.

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-pbr,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-ken-doc,
Description: component-based software defined networking framework for OpenStack - Py 3.x
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-ken.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	# Unit test listing is broken with an import error that isn't remotely fixable
	# so let's disable tests for the moment.
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.(?!(.*integrated.*))'
#endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-ken-doc/usr/share/doc/python-os-ken-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-ken/os-ken-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-ken 1.0.0

=== debian/changelog ===
python-os-ken (1.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining py2 Build-Depends.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:09:57 -0400

python-os-ken (0.4.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:19:43 -0400

python-os-ken (0.4.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Align with other Ubuntu-maintained OpenStack packages.
  * d/rules: Drop mv's of requirements unit test module as it has
    been removed from the upstream source.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:35:04 -0400

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.3.0),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycodestyle (>= 2.0.0),
 python3-reno (>= 2.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.2),
Standards-Version: 4.2.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-ken
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-msgpack (>= 0.3.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:2.5.0),
 python3-pbr (>= 2.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

## python-os-ken 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2,!=0.20.1,!=0.21.0,!=0.23.0
msgpack>=0.3.0  # RPC library, BGP speaker(net_cntl)
netaddr>=0.7.18 # BSD
oslo.config>=2.5.0
ovs>=2.6.0  # OVSDB
Routes>=2.3.1 # MIT
six>=1.4.0
tinyrpc>=0.6  # RPC library, BGP speaker(net_cntl)
webob>=1.2  # wsgi

=== debian/changelog ===
python-os-ken (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:41:30 +0200

python-os-ken (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 17:36:47 +0200

python-os-ken (1.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:21:35 +0200

python-os-ken (1.0.0-2) experimental; urgency=medium

  * Add missing override_dh_python3 to fix shebang.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 15:49:58 +0200

python-os-ken (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:41:27 +0200

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-msgpack,
 python3-ncclient,
 python3-netaddr,
 python3-nose,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslotest,
 python3-pycodestyle,
 python3-reno,
 python3-routes,
 python3-six,
 python3-stestr,
 python3-testtools,
 python3-tinyrpc,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-ken
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-ken.git
Homepage: http://www.openstack.org/

Package: python-os-ken-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: component-based software defined networking framework for OpenStack - doc
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the documentation.

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-pbr,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-ken-doc,
Description: component-based software defined networking framework for OpenStack - Py 3.x
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,6 @@
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-ken-doc/usr/share/doc/python-os-ken-doc/html
 	dh_sphinxdoc
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/os-ken/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-os-ken 1.2.1

=== debian/changelog ===
python-os-ken (1.2.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Accept_empty_OXM_fields.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Tue, 06 Jan 2026 13:47:35 +0000

python-os-ken (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Jan 2022 11:18:49 +0100

## python-os-ken 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 eventlet!=0.18.3,>=0.18.2,!=0.20.1,!=0.21.0,!=0.23.0
 msgpack>=0.3.0  # RPC library, BGP speaker(net_cntl)
 netaddr>=0.7.18 # BSD
-oslo.config>=2.5.0
+oslo.config>=5.1.0
 ovs>=2.6.0  # OVSDB
 Routes>=2.3.1 # MIT
 six>=1.4.0

=== debian/changelog ===
python-os-ken (1.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Dec 2020 12:21:22 +0000

python-os-ken (1.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 11:19:23 +0000

python-os-ken (1.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed
    in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:41 -0400

python-os-ken (1.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 13:21:34 +0000

python-os-ken (1.0.0-0ubuntu2) groovy; urgency=medium

  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:02:34 -0400

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.3.0),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycodestyle (>= 2.0.0),
 python3-reno (>= 2.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.2),
Standards-Version: 4.2.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.18.2),
 python3-msgpack (>= 0.3.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.6.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-pbr (>= 2.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.4.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

## python-os-ken 1.4.1

=== debian/changelog ===
python-os-ken (1.4.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Accept_empty_OXM_fields.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Tue, 06 Jan 2026 13:47:45 +0000

python-os-ken (1.4.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Aug 2022 11:43:48 +0200

python-os-ken (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 15:01:45 +0200

python-os-ken (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends satisfied by Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 12:38:09 +0100

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-msgpack,
 python3-ncclient,
 python3-netaddr,
 python3-nose,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslotest,
 python3-pycodestyle,
 python3-reno,
 python3-routes,
 python3-six,
 python3-stestr,
 python3-testtools,
 python3-tinyrpc,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-ken
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-ken.git
Homepage: http://www.openstack.org/

Package: python-os-ken-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: component-based software defined networking framework for OpenStack - doc
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the documentation.

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-pbr,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-ken-doc,
Description: component-based software defined networking framework for OpenStack - Py 3.x
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3.x module.

## python-os-ken 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0
eventlet>=0.22.0,!=0.23.0 # MIT
msgpack>=0.5.0  # RPC library, BGP speaker(net_cntl)
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0
ovs>=2.8.0  # OVSDB
Routes>=2.3.1 # MIT
six>=1.10.0
WebOb>=1.8.2  # wsgi

=== debian/changelog ===
python-os-ken (2.1.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:18:09 -0400

python-os-ken (2.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:15 +0000

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet (>= 0.22.0),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pycodestyle (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.2.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.22.0),
 python3-msgpack (>= 0.5.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-pbr (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

## python-os-ken 2.1.1

=== debian/changelog ===
python-os-ken (2.1.1-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Accept_empty_OXM_fields.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 06 Jan 2026 13:45:56 +0000

python-os-ken (2.1.1-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2025 09:55:10 +0200

python-os-ken (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:58:22 +0200

python-os-ken (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-tinyrpc from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:46:54 +0200

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-msgpack,
 python3-ncclient,
 python3-netaddr,
 python3-nose,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslotest,
 python3-pycodestyle,
 python3-reno,
 python3-routes,
 python3-six,
 python3-stestr,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-ken
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-ken.git
Homepage: http://www.openstack.org/

Package: python-os-ken-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: component-based software defined networking framework for OpenStack - doc
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the documentation.

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-pbr,
 python3-routes,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-ken-doc,
Description: component-based software defined networking framework for OpenStack - Py 3.x
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3.x module.

## python-os-ken 2.3.1

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=2.0.0 # Apache-2.0
-eventlet>=0.22.0,!=0.23.0 # MIT
-msgpack>=0.5.0  # RPC library, BGP speaker(net_cntl)
+eventlet>=0.26.1 # MIT
+msgpack>=1.0.0  # RPC library, BGP speaker(net_cntl)
 netaddr>=0.7.18 # BSD
 oslo.config>=5.1.0
 ovs>=2.8.0  # OVSDB

=== debian/changelog ===
python-os-ken (2.3.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:28:04 -0500

python-os-ken (2.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:29:06 -0500

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet (>= 0.26.1),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 1.0.0),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pycodestyle (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.2.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.26.1),
 python3-msgpack (>= 1.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-pbr (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

## python-os-ken 2.5.0

=== debian/changelog ===
python-os-ken (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:52:25 +0200

python-os-ken (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, including removing build-depends
    on nose (Closes: #1018547).
  * Re-enable unit testing.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:16:43 +0200

python-os-ken (2.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:36:19 +0100

python-os-ken (2.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:43:20 +0100

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-msgpack,
 python3-ncclient (>= 0.6.13),
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-oslo.config,
 python3-oslotest,
 python3-packaging,
 python3-pycodestyle,
 python3-reno,
 python3-routes,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-ken
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-ken.git
Homepage: http://www.openstack.org/

Package: python-os-ken-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: component-based software defined networking framework for OpenStack - doc
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the documentation.

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet,
 python3-msgpack,
 python3-ncclient (>= 0.6.13),
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-packaging,
 python3-pbr,
 python3-routes,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-ken-doc,
Description: component-based software defined networking framework for OpenStack - Py 3.x
 A component-based software defined networking framework in OpenStack.
 .
 This is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,9 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
-	# Unit test listing is broken with an import error that isn't remotely fixable
-	# so let's disable tests for the moment.
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.(?!(.*integrated.*))'
-#endif
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.unit.*'
+endif
 
 override_dh_auto_test:
 	echo "Do nothing..."

## python-os-ken 2.6.0

=== debian/changelog ===
python-os-ken (2.6.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Jan 2023 23:23:38 +0000

python-os-ken (2.6.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:28:41 -0500

python-os-ken (2.5.0-0ubuntu3) kinetic; urgency=medium

  * d/py3dist-overrides: Add ncclient to ensure dh_python3 does not
    add python3-ncclient to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 12:14:07 -0400

python-os-ken (2.5.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Move python3-ncclient to Suggests until in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 12:02:45 -0400

python-os-ken (2.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to stestr inline with upsream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 19:44:39 -0400

python-os-ken (2.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:24:15 -0400

## python-os-ken 2.7.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

export PYTHONPATH = $PYTHONPATH:..

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/os_ken.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/os_ken.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/os_ken"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/os_ken"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-os-ken (2.7.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 20:44:47 +0000

python-os-ken (2.7.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:51:12 -0400

## python-os-ken 2.7.1

=== debian/changelog ===
python-os-ken (2.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 14:14:26 +0000

python-os-ken (2.7.0-3) unstable; urgency=medium

  * Add use-importlib-not-imp.patch (Closes: #1058180).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 16:53:30 +0100

python-os-ken (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 10:02:31 +0200

python-os-ken (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 10:26:43 +0200

python-os-ken (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:02:20 +0200

python-os-ken (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of python3-ncclient (build-)depends, as it's satisfied in
    Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:21:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-os-ken 2.8.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0
eventlet>=0.26.1 # MIT
msgpack>=1.0.0  # RPC library, BGP speaker(net_cntl)
ncclient>=0.6.13 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0
ovs>=2.8.0  # OVSDB
packaging>=20.4  # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2  # wsgi

=== debian/changelog ===
python-os-ken (2.8.1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:25:21 +0000

=== debian/control ===
Source: python-os-ken
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet (>= 0.26.1),
 python3-hacking,
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 1.0.0),
 python3-ncclient (>= 0.6.13),
 python3-netaddr (>= 0.7.18),
 python3-nose (>= 1.3.7),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pycodestyle (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
Standards-Version: 4.6.1
Homepage: https://docs.openstack.org/os-ken/latest/
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-ken

Package: python3-os-ken
Architecture: all
Depends:
 python3-eventlet (>= 0.26.1),
 python3-msgpack (>= 1.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-packaging (>= 20.4),
 python3-pbr (>= 2.0.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-tinyrpc (>= 0.6),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ncclient (>= 0.6.13),
Description: Component based SDN framework for OpenStack
 os-ken is a component-based software defined networking framework. os-ken
 provides software components with well defined API that make it easy for
 developers to create new network management and control applications.
 os-ken supports various protocols for managing network devices, such
 as OpenFlow, Netconf, OF-config, etc. os-ken supports fully 1.0, 1.2, 1.3,
 1.4 and Nicira Extensions for OpenFlow.
 .
 os-ken is a fork of the Ryu library tailored for OpenStack Neutron.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-ken/os-ken-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-ken 2.8.2

=== debian/changelog ===
python-os-ken (2.8.2-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Accept_empty_OXM_fields.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 06 Jan 2026 13:37:26 +0000

python-os-ken (2.8.2-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 12:26:34 +0200

python-os-ken (2.8.1-3) unstable; urgency=medium

  * Blacklist Test_Manager.test_help() that underterministicaly fails
    (Closes: #1029657).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2024 11:28:31 +0200

python-os-ken (2.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:20:53 +0200

python-os-ken (2.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop use-importlib-not-imp.patch, fixed upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 17:41:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	pkgos-dh_auto_install --no-py2 --in-tmp
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.unit.*'
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'os_ken\.tests\.unit\.(?!cmd\.test_manager\.Test_Manager\.test_help)'
 endif
 
 override_dh_auto_test:

## python-os-ken 2.10.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
eventlet>=0.26.1 # MIT
msgpack>=1.0.0  # RPC library, BGP speaker(net_cntl)
ncclient>=0.6.13 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0
ovs>=2.8.0  # OVSDB
packaging>=20.4  # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2  # wsgi

=== debian/changelog ===
python-os-ken (2.10.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 25 Sep 2024 11:08:38 +0000

python-os-ken (2.10.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:01:13 +0100

python-os-ken (2.9.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:29:36 +0100
